import React from "react";
import { shallow } from "enzyme";
import BoundaryMap from "./BoundaryMap";
describe("BoundaryMap", function () {
  var data = [{
    type: "Feature",
    properties: {
      name: "Null Island"
    },
    geometry: {
      type: "Polygon",
      coordinates: [[[0, 0], [0, 1], [1, 1], [1, 0], [0, 0]]]
    }
  }];
  var defaultProps = {
    data: data
  };
  it("should render a DeckGL component", function () {
    var wrapper = shallow(React.createElement(BoundaryMap, defaultProps));
    expect(wrapper.find(".DeckGL")).to.have.length(1);
  });
  it("should render child BoundaryMap component", function () {
    var wrapper = shallow(React.createElement(BoundaryMap, defaultProps));
    expect(wrapper.find(".DeckGL").children()).to.have.length(1);
    expect(wrapper.find(".BoundaryMap")).to.have.length(1);
  });
});